info:
  description: Layout Parser Service Processor

tenant-user-management-service.url: "http://tenant-user-management-service:8080/internal"

fforesight.tenants.remote: true

logging.pattern.level: "%5p [${spring.application.name},%X{traceId:-},%X{spanId:-}]"

logging.type: ${LOGGING_TYPE:CONSOLE}
kubernetes.namespace: ${NAMESPACE:default}
project.version: 1.0-SNAPSHOT


server:
  port: 8080

lifecycle:
  base-package: com.knecon.fforesight.service.layoutparser

spring:
  application:
    name: layoutparser-service
  main:
    allow-circular-references: true # FIXME
  rabbitmq:
    host: ${RABBITMQ_HOST:localhost}
    port: ${RABBITMQ_PORT:5672}
    username: ${RABBITMQ_USERNAME:user}
    password: ${RABBITMQ_PASSWORD:rabbitmq}
    listener:
      simple:
        acknowledge-mode: AUTO
        concurrency: 2
        retry:
          enabled: true
          max-attempts: 3
          max-interval: 15000
        prefetch: 1

management:
  endpoint:
    metrics.enabled: ${monitoring.enabled:false}
    prometheus.enabled: ${monitoring.enabled:false}
    health.enabled: true
  endpoints.web.exposure.include: prometheus, health
  tracing:
    enabled: ${TRACING_ENABLED:false}
    sampling:
      probability: ${TRACING_PROBABILITY:1.0}
  otlp:
    tracing:
      endpoint: ${OTLP_ENDPOINT:http://otel-collector-opentelemetry-collector.otel-collector:4318/v1/traces}


storage:
  backend: 's3'
